\version "2.11.49"

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Layout to produce ChordMarks context
%% for doing harmony exercises
%% Chord marks are entered as text markups
\layout {
  \context {
    \type "Engraver_group"
    \name "ChordMarks"
    \alias Voice
    \consists "Output_property_engraver"
    \override VerticalAxisGroup #'minimum-Y-extent = #'(-1 . 1)
    \consists "Script_engraver"
    \consists "Text_engraver"
    \override TextScript #'font-size = #2
    \consists "Skip_event_swallow_translator"
    \consists "Axis_group_engraver"
  }
  \context {
    \PianoStaff
    \accepts "ChordMarks"
  }
}

  Dmaj = \markup { \bold "D" }
  DmajTwo = \markup { \concat { \bold { "D" \sub "2" } } }
  DmajSixArrow = \markup { \concat { \bold { "D" \sub "6" } } " " \arrow-head #X #RIGHT ##t }
  DmajSixFiveArrow = \markup { \concat { \bold { "D" \sub \column { "6" "5" } } } " " \arrow-head #X #RIGHT ##t }
  DmajSeven = \markup { \concat { \bold { "D" \sub "7" } } }
  DDVIIseven = \markup { \concat { \bold { "DDVII" \sub { "7" \raise #1 "--" } } } }
  bthreeDDVIIseven = \markup { \concat { \flat \bold { "3 DDVII" \sub { "7" \raise #1 "--" } } } }
  Smin = \markup { \bold "s" }
  SminSix = \markup { \concat { \bold { "s" \sub "6" } } }
  SixFive = \markup { \bold { \column { "6" "5" } } }
  SixFiveArrow = \markup { \concat { \bold { \column { "6" "5" } } } " " \arrow-head #X #RIGHT ##t }
  Tmin = \markup { \bold "t" }
  TminSix = \markup { \concat { \bold { "t" \sub "6" } } }
  Six = \markup { \bold "6" }
