\version "2.11.49"

\include "chords.ly"

#(ly:set-option 'point-and-click #f)

\header {
  tagline = ##f
  title = \markup { \fontsize #2 "Ex. 36-551" }
}

  IupperI = \new Voice { \voiceOne
    \relative c'' {
    \clef treble \key fis \minor \time 4/4
    \override MetronomeMark #'stencil = ##f
    \tempo 2=60
    cis2\mark \markup { \bold \fontsize #2 "1" } fis ~ | fis4 eis fis cis ~ |
    cis b2 a4 | gis2 b ~ |
    b4 a b d ~ | d cis2 e4 ~ |
    e d cis2 ~ | cis4 cis2 b4 ~ |
    b a2 gis4 | fis1 \bar "||" \break
    }
  }

  IupperII = \new Voice { \voiceTwo
    \relative c' {
    fis1 | gis2 fis |
    fis1 | eis2 gis |
    fis1 ~ | fis ~ |
    fis | e2 d ~ |
    d b | a1 \bar "||"
    }
  }

  IlowerI = \new Voice { \voiceOne
    \relative c' {
    \clef bass \key fis \minor \time 4/4
    a2 cis ~ | cis1 |
    d2 dis | cis1 |
    cis2 b | cis1 |
    b2 cis | fis,1 ~ |
    fis2 eis | fis1 \bar "||"
    }
  }

  IlowerII = \new Voice { \voiceTwo
    \relative c, {
    fis2 a | b a |
    b bis | cis eis |
    fis d4 b | a2 ais |
    b a | ais b |
    bis cis | fis,1 \bar "||"
    }
  }

  Ichords = {
    \textLengthOn
    s2_\Tmin s_\Six |
    s_\DmajTwo s_\TminSix |
    s_\Smin s_\DDVIIseven |
    s_\Dmaj s_\SixFive |
    s2_\Tmin s4_\SminSix s4_\Smin |
    s2_\TminSix s4_\DmajSixArrow s4_\SixFiveArrow |
    s2_\Smin s2_\TminSix |
    s2_\DmajSixFiveArrow s2_\Smin |
    s2_\bthreeDDVIIseven s2_\DmajSeven |
    s1_\Tmin \bar "||"
  }

  \score {
    \new PianoStaff <<
      \set PianoStaff.midiInstrument = "choir aahs"
      \new Staff = "rh" << \IupperI \IupperII >>
      \new Staff = "lh" << \IlowerI  \IlowerII >>
      \new ChordMarks = "chords" \Ichords
    >>
    \layout { }
    \midi { }
  }

