\version "2.11.63"

\include "defs.ly"

  marks = \relative c' {
    \tempo 4=52 #"Adagio"
    s1^\markup { \bold \italic "Rit." } |
    s1^\markup { \bold \italic "A tempo" } \mark \default | s1 |
    \tempo 4=120 #"Allegro"
    s1 | s1 \bar "|."
  }

  piccolo = \relative c'' {
    \clef treble \key c \major \time 4/4
    \transposition c''
    c1 | d | e | f | g \bar "|."
  }

  flutes = \relative c'' {
    \clef treble \key c \major \time 4/4
    c1^"I & II" | d | e | f | g \bar "|."
  }

  oboes = \relative c''' {
    \clef treble \key f \major \time 4/4
    c1^"A3" | d | e | f | g \bar "|."
  }

  clarinets = \relative c' {
    \clef treble \key d \major \time 4/4
    \transposition bes
    d1^"A3" | e | fis | g | a \bar "|."
  }

  bassoons = \relative c {
    \clef bass \key c \major \time 4/4
    c1^"A3" | d | e | f | g \bar "|."
  }

  hornI = \relative c'' {
    \clef treble \key g \major \time 4/4
    \transposition f
    g1^"A2" | a | b | c | d \bar "|."
  }

  hornII = \relative c' {
    \clef treble \key g \major \time 4/4
    \transposition f
    g1^"A2" | a | b | c | d \bar "|."
  }

  trumpets = \relative c'' {
    \clef treble \key d \major \time 4/4
    \transposition bes
    d1^"A2" | e | fis | g | a \bar "|."
  }

  tromboneI = \relative c' {
    \clef tenor \key c \major \time 4/4
    c1 | d | e | f | g \bar "|."
  }

  tromboneII = \relative c {
    \clef bass \key c \major \time 4/4
    c1^"A2" | d | e | f | g \bar "|."
  }

  tuba = \relative c, {
    \clef bass \key c \major \time 4/4
    c1 | d | e | f | g \bar "|."
  }

  timpani = \relative c {
    \clef bass \key c \major \time 4/4
    c1:32 | g: | c: | a: | g: \bar "|."
  }

  perc = \relative c'' {
    \clef percussion \time 4/4
    b1^\markup { \bold "Sus. Cym." } | R | b | R | b \bar "|."
  }

  harprh = \relative c' {
    \clef treble \key c \major \time 4/4
    \showStaffSwitch
    c1 | d | e | f | g \bar "|."
  }

  harplh = \relative c {
    \clef bass \key c \major
    \showStaffSwitch
    c1 | d | e | f | g \bar "|."
  }

  violinI = \relative c'' {
    \clef treble \key c \major \time 4/4
    c1 | d | e | f | g \bar "|."
  }

  violinII = \relative c' {
    \clef treble \key c \major \time 4/4
    c1 | d | e | f | g \bar "|."
  }

  viola = \relative c' {
    \clef alto \key c \major \time 4/4
    c1 | d | e | f | g \bar "|."
  }

  cello = \relative c {
    \clef bass \key c \major \time 4/4
  }

  contrabass = \relative c {
    \clef bass \key c \major \time 4/4
    \transposition c
    c1 | d | e | f | g \bar "|."
  }

#(ly:set-option 'point-and-click #f)
#(set-default-paper-size "a4")

\header {
  tagline = ##f
  title = "example of a large orchestra"
  composer = "Hu Haipeng"
}

  #(set-global-staff-size 10)

  \score {
    \new Orchestra = "orchestra" <<
    \set Score.skipBars = ##f
    \new MarkLine { \marks }
    \new InnerStaffGroup = "woodwind" <<
      \new SquareStaff = "piccolo and flutes" <<
        \new Staff = "piccolo" {
          \set Staff.instrumentName = "Piccolo"
          \set Staff.shortInstrumentName = "Picc."
        \piccolo
        }
        \new Staff = "flutes" {
          \set Staff.instrumentName = "Flutes 1 - 3"
          \set Staff.shortInstrumentName = "Fl."
        \flutes
        }
      >>
      \new Staff = "oboes" {
        \set Staff.instrumentName = "Oboes 1 - 3"
        \set Staff.shortInstrumentName = "Ob."
      \oboes
      }
      \new Staff = "clarinets" {
        \set Staff.instrumentName = \markup {
          \column { \line { "Clarinets 1 - 3" }
            \line { "in B" \smaller \flat } } }
        \set Staff.shortInstrumentName = "Cl."
      \clarinets
      }
      \new Staff = "bassoons" {
        \set Staff.instrumentName = "Bassoons 1 & 2"
        \set Staff.shortInstrumentName = "Bn."
      \bassoons
      }
    >>
    \new InnerStaffGroup = "brass" <<
      \new SquareStaff = "horns" <<
        \new Staff = "hornsI" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Horn 1 & 3" }
              \line { "in F" } } }
          \set Staff.shortInstrumentName = "Hn. 1 & 3"
        \hornI
        }
        \new Staff = "hornsII" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Horn 2 & 4" }
              \line { "in F" } } }
          \set Staff.shortInstrumentName = "Hn. 2 & 4"
        \hornII
        }
      >>
      \new Staff = "trumpets" {
        \set Staff.instrumentName = \markup {
          \column { \line { "Trumpets 1 & 2" }
            \line { "in B" \smaller \flat } } }
        \set Staff.shortInstrumentName = "Tp."
      \trumpets
      }
      \new SquareStaff = "trombones" <<
        \new Staff = "tromboneI" {
          \set Staff.instrumentName = "Trombone 1"
          \set Staff.shortInstrumentName = "Tb.1"
        \tromboneI
        }
        \new Staff = "tromboneII" {
          \set Staff.instrumentName = "Trombones 2 & 3"
          \set Staff.shortInstrumentName = "Tb.23"
        \tromboneII
        }
      >>
      \new Staff = "tuba" {
        \set Staff.instrumentName = "Tuba"
        \set Staff.shortInstrumentName = "Tu."
      \tuba
      }
    >>
    \new InnerStaffGroup = "miselaneous" <<
      \new Staff = "timpani" {
        \set Staff.instrumentName = "Timpani"
        \set Staff.shortInstrumentName = "Tim."
      \timpani
      }
      \new Staff = "perc" {
        \set Staff.instrumentName = "Percussion"
        \set Staff.shortInstrumentName = "Perc."
      \perc
      }
      \new PianoStaff = "harp" <<
        \set PianoStaff.instrumentName = "Harp"
        \set PianoStaff.shortInstrumentName = "Hrp."
        \set PianoStaff.connectArpeggios = ##t
        \new Staff = "rh" { \harprh }
        \new Staff = "lh" { \harplh }
      >>
    >>
    \new SmallMarkLine { \marks }
    \new InnerStaffGroup = "strings" <<
      \new SquareStaff = "violins" <<
        \new Staff = "violin I" {
          \set Staff.instrumentName = "Violin I"
          \set Staff.shortInstrumentName = "Vn. I"
        \violinI
        }
        \new Staff = "violin II" {
          \set Staff.instrumentName = "Violin II"
          \set Staff.shortInstrumentName = "Vn. II"
        \violinII
        }
      >>
      \new Staff = "viola" {
        \set Staff.instrumentName = "Viola"
        \set Staff.shortInstrumentName = "Vl."
      \viola
      }
      \new SquareStaff = "cello and Bass" <<
        \new Staff = "violoncello" {
          \set Staff.instrumentName = "Violoncello"
          \set Staff.shortInstrumentName = "Vc."
        \cello
        }
        \new Staff = "contrabass" {
          \set Staff.instrumentName = "Contrabass"
          \set Staff.shortInstrumentName = "Cb."
          \contrabass
          }
        >>
      >>
    >>
    \layout {
      \context {
        \RemoveEmptyStaffContext
      }
    }
  }

